# How to fix live builder issue with Weglot

Weglot is not intended to translate backoffice elements. More and more site builders offer the live builder feature. Some of its live builders will come into conflict with Weglot because Weglot will attempt to translate elements that are not wanted at that time. To avoid this we will ask Weglot not to translate when we are in the live builder.

Let’s take the example of Avada theme builder. When we are in the live builder we have the get fb-edit variable in the url so we can use this snippet:

<pre class="language-php"><code class="lang-php">if(isset($_GET['fb-edit']) || isset($_GET['builder'])){
<strong>    add_filter( 'weglot_active_translation', '__return_false', 99999 );
</strong>}
</code></pre>

Here another exemple with elementor : we use a hook instead of url parameters :&#x20;

```php
function weglot_deactivate_elementor() {
	add_filter( 'weglot_active_translation', '__return_false', 99999 );
}
add_action( 'elementor/init', 'weglot_deactivate_elementor' );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.weglot.com/wordpress/use-cases/how-to-fix-live-builder-issue-with-weglot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
